org.apache.ignite.internal.binary.streams

## Class BinaryMemoryAllocator

- java.lang.Object
- - org.apache.ignite.internal.binary.streams.BinaryMemoryAllocator

    public abstract class BinaryMemoryAllocator
    extends Object

On-heap memory allocator.

### Field Summary

Fields
`static int` `DFLT_MARSHAL_BUFFERS_PER_THREAD_POOL_SIZE`
`static int` `DFLT_MARSHAL_BUFFERS_RECHECK`
`static BinaryMemoryAllocator` `POOLED` Pooled allocator instance.
`static BinaryMemoryAllocator` `THREAD_LOCAL` Thread local allocator instance.

### Constructor Summary

Constructors
Constructor and Description
`BinaryMemoryAllocator()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract BinaryMemoryAllocatorChunk` `chunk()`
`abstract boolean` `isAcquired()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DFLT_MARSHAL_BUFFERS_RECHECK

    public static final int DFLT_MARSHAL_BUFFERS_RECHECK

See Also:
  `IgniteSystemProperties.IGNITE_MARSHAL_BUFFERS_RECHECK`, Constant Field Values

#### DFLT_MARSHAL_BUFFERS_PER_THREAD_POOL_SIZE

    public static final int DFLT_MARSHAL_BUFFERS_PER_THREAD_POOL_SIZE

See Also:
  `IgniteSystemProperties.IGNITE_MARSHAL_BUFFERS_PER_THREAD_POOL_SIZE`, Constant Field Values

#### THREAD_LOCAL

    public static final BinaryMemoryAllocator THREAD_LOCAL

Thread local allocator instance.

#### POOLED

    public static final BinaryMemoryAllocator POOLED

Pooled allocator instance.

### Constructor Detail

#### BinaryMemoryAllocator

    public BinaryMemoryAllocator()

### Method Detail

#### chunk

    public abstract BinaryMemoryAllocatorChunk chunk()

#### isAcquired

    public abstract boolean isAcquired()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022